@import url("https://fonts.googleapis.com/css2?family=Dancing+Script:wght@600&family=Lobster&family=Nunito&display=swap");
.author-quotes {
  position: absolute;

  background-color: gray;
  padding-top: 65px;
  width: 100%;

  .filter {
    text-align: center;
    padding: 1rem 1.5rem;
    font-size: 1.2rem;
    border-radius: 30%;
    font-family: "Dancing Script", cursive;
  }
  .authors-quotes {
    display: flex;
    justify-content: space-around;
    .left-side-author-quotes {
      margin: 0 1rem;
      background-color: black;
      padding: 2rem 3rem;
      position: sticky;
      top: 50px;
      height: 10%;
      .card {
        position: sticky;
        top: 50px;
      }
      h6 {
        font-weight: bold;
        font-size: 1rem;
        color: green;
      }
    }
    .icon {
      background: green;
      border-radius: 50%;
      width: 30px;
      height: 30px;
      display: flex;
      justify-content: center;
      align-items: center;
    }
    .right-side-authors-quotes {
      width: 90%;
      margin-left: 7rem;
      overflow-y: hidden;

      p {
        font-weight: 500;
        overflow: hidden;
        display: -webkit-box;
        -webkit-line-clamp: 4;
        -webkit-box-orient: vertical;
      }
      h5 {
        color: cadetblue;
        font-family: "Dancing Script", cursive;
      }
      .card {
        margin-left: 2rem;
        min-height: 300px;
      }
      button {
        font-family: "Dancing Script", cursive;
        position: absolute;
        bottom: 20px;
      }
    }
  }
}

.hidden {
  display: none;
}
.show {
  position: relative;
  display: block;
  box-shadow: rgba(0, 0, 0, 0.17) 0px -23px 25px 0px inset,
    rgba(0, 0, 0, 0.15) 0px -36px 30px 0px inset,
    rgba(0, 0, 0, 0.1) 0px -79px 40px 0px inset, rgba(0, 0, 0, 0.06) 0px 2px 1px,
    rgba(0, 0, 0, 0.09) 0px 4px 2px, rgba(0, 0, 0, 0.09) 0px 8px 4px,
    rgba(0, 0, 0, 0.09) 0px 16px 8px, rgba(0, 0, 0, 0.09) 0px 32px 16px;

  text-align: center;
  font-size: 1.1rem;

  img {
    width: 150px;
    height: 150px;
    margin: auto;
    margin-top: 2%;
  }

  h1 {
    padding: 1% 2%;
  }
  p {
    padding: 1% 2%;
    font-weight: 300;
  }
}

.blur {
  filter: blur(8px);
  -webkit-filter: blur(8px);
  position: absolute;
  height: 100vh;
  overflow: hidden;
  font-family: "Nunito", sans-serif;
  background-color: gray;
  padding-top: 65px;
  width: 100%;
  .filter {
    text-align: center;
    padding: 1rem 1.5rem;
    font-size: 1.2rem;
    border-radius: 30%;
  }
  .authors-quotes {
    display: flex;
    justify-content: space-around;
    .left-side-author-quotes {
      margin: 0 1rem;
      background-color: black;
      padding: 2rem 3rem;
      position: sticky;
      top: 50px;
      height: 10%;
      .card {
        position: sticky;
        top: 50px;
      }
      h5 {
        font-weight: bold;
      }
    }
    .icon {
      background: green;
      border-radius: 50%;
      width: 30px;
      height: 30px;
      display: flex;
      justify-content: center;
      align-items: center;
    }
    .right-side-authors-quotes {
      width: 90%;
      margin: 0 auto;
      overflow-y: initial !important;
      overflow-y: auto;
      height: 80vh;
      

      h5 {
        color: cadetblue;
      }
      .card {
        margin-left: 2rem;
      }
      button {
        font-family: "Dancing Script", cursive;
      }
    }
  }
}

.loader {
  border: 16px solid #f3f3f3;
  border-radius: 50%;
  border-top: 16px solid #3498db;
  width: 120px;
  height: 120px;

  animation: spin 2s linear infinite;
}

@keyframes spin {
  0% {
    transform: rotate(0deg);
  }
  100% {
    transform: rotate(360deg);
  }
}
